package com.bosshand.face.controller;

import java.util.List;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import com.alibaba.fastjson.JSON;
import com.bosshand.face.dto.Dto;
import com.bosshand.face.dto.LoginDto;
import com.bosshand.face.response.Response;
import com.bosshand.face.utils.ChangeAgePic;

@RestController
public class AgePicController {

	@Value("${test.user}")
	private String user;

	@Value("${test.secretId}")
	private String secretId;

	@Value("${test.secretKey}")
	private String secretKey;

	@RequestMapping(value = "/pic", method = RequestMethod.POST)
	public Response create(@RequestBody Dto dto) {
		List<LoginDto> list = JSON.parseArray(user, LoginDto.class);
		for (LoginDto loginDto : list) {
			if (loginDto.getName().equals(dto.getName())) {
				return Response.ok(ChangeAgePic.getFaceList(dto.getBase64(), secretId, secretKey));
			}
		}
		return Response.fail(20000, "请联系管理员！！！！");
	}

	@RequestMapping(value = "/login", method = RequestMethod.POST)
	public Response login(@RequestBody LoginDto loginDto) {
		List<LoginDto> list = JSON.parseArray(user, LoginDto.class);
		for (LoginDto dto : list) {
			if (dto.getName().equals(loginDto.getName()) & dto.getPassword().equals(loginDto.getPassword())) {
				return Response.ok(loginDto.getName());
			}
		}
		return Response.fail(20000, "用户名或密码错误！！！");
	}

}
