package com.bosshand.face.response;

public class Response extends BaseResponse<Object>{
	
	public static Response ok() {
		return new Response();
	}
	
	public static Response fail(int code, String message) {
		Response response  = new Response();
		response.setCode(code);
		response.setMessage(message);
		return response;
	}
	
	public static Response ok(Object data) {
		Response response  = new Response();
		response.setData(data);
		return response;
	}
	
}
